Bug 24026 - mouse pointer colors incorrect in 3Dlabs driver
mouse pointer colors incorrect in 3Dlabs driver
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i386 Linux
high Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-15 08:29 EST by Raul Acevedo
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-13 13:55:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raul Acevedo 2001-01-15 08:29:18 EST
The mouse pointer colors I set with apps like xterm (using -ms)
and emacs (pointerColor in Xdefaults) show up incorrently.

For example, `xterm -ms blue' shows an xterm with a red mouse
cursor.  `xterm -ms red' shows a blue one.  Green actually
shows up as green.  Cyan shows up as yellow, and vice versa.

Apparently what's happening is that the red and blue RGB
components get swapped.  So, colors of the form #RRGGBB
actually get used as #BBGGRR.  That explains the above
examples.  (Cyan is #00FFFF, yellow is #FFFF00.)

I don't notice this on my IBM laptop, only on my desktop
workstation with a Diamond Fire GL 1000 using the 3Dlabs
Permedia2 driver.  This is on both the stock RedHat 7
XFree86 4.0.1, and also the rawhide 4.0.2 release.
Comment 1 Mike A. Harris 2001-01-28 13:04:20 EST
Can you look at http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=23367
and see if your problem is similar?
Comment 2 Mike A. Harris 2001-02-26 17:35:43 EST
I think I have a fix for this but I need to put it together and integrate
it first.
Comment 3 Mike A. Harris 2001-04-02 09:46:50 EDT
I do not have access to any Permedia hardware.  I've got some potential
patches here that may or may not fix the problems you are experiencing.
I need a copy of your X server logs, and your config files as bugzilla
file attachments.  I can use that info to extract the relevant portions
out of the patches and apply.

If you can send me this information ASAP, and are willing to test out a new
X server, I may be able to get the patches into our next release still,
otherwise it'll be deferred for the next development cycle.
Comment 4 Mike A. Harris 2001-04-10 01:01:40 EDT
A *MAJOR* new update to the Permedia driver has just been incorporated
into XFree86-4.0.3-8.  The patches are from Compaq, and fix numerous
problems on Alpha, as well as other platforms.  These packages are available
for download at:   http://people.redhat.com/mharris
Please close the bug report after confirming that it does in fact fix the
problem for you, and ensure that you fill out new bug reports if you encounter
any new errors.  Thanks.
Comment 5 Mike A. Harris 2001-04-13 13:55:33 EDT
I mistakenly gave a bad URL above.  ;o(  The proper URL is:

ftp://people.redhat.com

Not http.  Please try out the latest code and let me know if this problem is
fixed now.
Comment 6 Mike A. Harris 2001-05-15 05:33:45 EDT
Fixed in 4.0.3-8 and later.

Note You need to log in before you can comment on or make changes to this bug.